%define upstream_name    Email-Abstract
%define upstream_version 3.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Unified interface to mail representations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::Simple) >= 1.998.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Pluggable) >= 1.500.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Email::Abstract provides module writers with the ability to write
representation-independent mail handling code. For instance, in the cases of
Mail::Thread or Mail::ListDetector, a key part of the code involves reading the
headers from a mail object. Where previously one would either have to specify
the mail class required, or to build a new object from scratch, Email::Abstract
can be used to perform certain simple operations on an object regardless of its
underlying representation.

Email::Abstract currently supports Mail::Internet, MIME::Entity, Mail::Message,
Email::Simple and Email::MIME. Other representations are encouraged to create
their own Email::Abstract::* class by copying Email::Abstract::EmailSimple. All
modules installed under the Email::Abstract hierarchy will be automatically
picked up and used.

For this reason, the tedious process of looking for a valid date has been
encapsulated in this software. Further, the process of creating RFC compliant
date strings is also found in this software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Wed Sep 06 2023 tv <tv> 3.10.0-1.mga10
+ Revision: 1984747
- update to 3.010

* Mon Mar 21 2022 umeabot <umeabot> 3.9.0-2.mga9
+ Revision: 1814624
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 3.9.0-1.mga9
+ Revision: 1731820
- update to 3.009

* Wed Feb 12 2020 umeabot <umeabot> 3.8.0-5.mga8
+ Revision: 1494424
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.8.0-4.mga7
+ Revision: 1267838
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.8.0-3.mga6
+ Revision: 1026883
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 3.8.0-2.mga6
+ Revision: 966823
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 3.8.0-1.mga6
+ Revision: 846934
- update to 3.008

* Wed Oct 15 2014 umeabot <umeabot> 3.7.0-4.mga5
+ Revision: 739240
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7.0-3.mga5
+ Revision: 727602
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.0-2.mga5
+ Revision: 684612
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 3.7.0-1.mga5
+ Revision: 587258
- update to 3.007

* Sat Oct 19 2013 umeabot <umeabot> 3.6.0-2.mga4
+ Revision: 533991
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 3.6.0-1.mga4
+ Revision: 475982
- update to 3.006

* Wed Jul 31 2013 sander85 <sander85> 3.5.0-1.mga4
+ Revision: 461460
- update to 3.005

* Sun Jan 13 2013 umeabot <umeabot> 3.4.0-2.mga3
+ Revision: 366743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 3.4.0-1.mga1
+ Revision: 61469
- update to 3.004

* Sat Jan 22 2011 jquelin <jquelin> 3.3.0-1.mga1
+ Revision: 31943
- mageia rebuild
- imported package perl-Email-Abstract

